package com.huiju.estateagents.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.common.CommConstant;
import com.huiju.estateagents.entity.TaPoster;
import com.huiju.estateagents.mapper.TaPosterMapper;
import com.huiju.estateagents.service.TaPosterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 分享海报表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-09-21
 */
@Service
public class TaPosterServiceImpl extends ServiceImpl<TaPosterMapper, TaPoster> implements TaPosterService {

    @Autowired
    TaPosterMapper taPosterMapper;


    @Override
    public List<TaPoster> getPostersForTarget(String targetId, String targetType){
        QueryWrapper<TaPoster>queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("target_id",targetId);
        queryWrapper.eq("target_type",targetType);
        queryWrapper.eq("status", CommConstant.STATUS_NORMAL);
        List<TaPoster> data =taPosterMapper.selectList(queryWrapper);
        return data;

    }

}
